; *****************************
; ** angelZware PB Tools Lib **
; ** ----------------------- **
; ** mailatt_demo.pb         **
; ** V0.1 (2010/08/23)       **
; ** by Ronny Krger         **
; *****************************
; ** Licence: LGPL V3        **
; *****************************

EnableExplicit


CompilerSelect #PB_Compiler_OS 
  CompilerCase #PB_OS_Windows
    IncludePath "..\include\awpbtools"
  CompilerCase #PB_OS_Linux
    IncludePath "../include/awpbtools"
CompilerEndSelect

XIncludeFile "awmessage.pbi"

OpenConsole()

PrintN("AWPB-Tools MailEncoder Attachment-Demo")
PrintN("")

Global *msg, *part, mailtext.s, file.s

mailtext = "Dies ist der Plain-Text-Teil der Testmail."

Print("Allocating Message ... ")
*msg = AWPB_MSG_AllocateMessage()
If *msg
  PrintN("success")
  AWPB_MSG_SetFrom(*msg, "ABSENDERADRESSE")       ;- Set      <- Absenderadresse eintragen
  AWPB_MSG_SetTo(*msg, "EMPFNGERADRESSE")        ;- Set      <- Empfngeradresse eintragen
  AWPB_MSG_SetSubject(*msg, "BETREFF")            ;- Set      <- Betreff eintragen
  AWPB_MSG_SetDate(*msg, Date())
  
  *part = AWPB_MSG_SetMultipart(*msg, #AWPB_MSG_MP_MIXED)
  If *part
    If AWPB_MSG_AddPartPlainText(*part, mailtext)         ; nachricht anhngen
      PrintN("Body eingetragen")
    EndIf
    
    Repeat
      file = OpenFileRequester("Datei zum Anhngen auswhlen:", "", "All files (*.*)|*.*", 0)
      If file
        If AWPB_MSG_AddPartBinaryFile(*part, file, "testanhang", "ABCD")      ; Datei anhngen
          PrintN("file " + file + " added")
        Else
          PrintN("Kann Datei nicht anhngen!")  
        EndIf
      EndIf
    Until Not file
  EndIf

  If AWPB_MSG_EncodeMessage(*msg)                 ; message encoden
    PrintN("Message built")
    If AWPB_MSG_SaveMailEML(*msg, "mailatt.eml")
      PrintN("Mail saved")
    Else
      PrintN("Message not saved")
    EndIf
  Else
    PrintN("Message not built")
  EndIf
  
  AWPB_MSG_FreeMessage(*msg)
Else
  PrintN("failed")
EndIf

PrintN("Press return to exit")
Input()

; IDE Options = PureBasic 4.51 RC 2 (Windows - x64)
; CursorPosition = 42
; FirstLine = 22
; EnableUnicode
; EnableThread
; EnableXP
; Executable = file_demo.exe
; CPU = 1
; Compiler = PureBasic 4.51 RC 2 (Windows - x64)
; EnablePurifier